[pve-devel] disable-efi-enable-pxe-roms.patch break livemigration from old qemu guest without pxe

Alexandre DERUMIER aderumier at odiso.com
Sat Oct 24 19:55:39 CEST 2015


>>Also see: 
>>
>>https://git.proxmox.com/?p=pve-qemu-kvm.git;a=commitdiff;h=b6e85098c8b88f609d2bca5bf19fa8e85b176c15 
>>
>>so we can now query the exact package version with 
>>
>>my $res = PVE::QemuServer::vm_mon_cmd($vmid, 'query-version'); 
>>print $res->{'package'}; 
>>
>>older version simply return '' string. 

Great ! But how does it help with migration ? maybe does I miss something ?

if we want to known if the vm is using pxe or efi, we need to use machine model, not qemu version.


if we want to enable efi for qemu 2.4, maybe it could be easy to introduce something like

DEFINE_I440FX_MACHINE(v2_4, "pc-i440fx-2.4-efi", NULL,
                        pc_i440fx_2_4_machine_options)

in i386/pc_piix.c


like this, we can known that <= pc-i440fx-2.4: pxe,  and >= pc-i440fx-2.4-efi: efi.  


----- Mail original -----
De: "dietmar" <dietmar at proxmox.com>
À: "aderumier" <aderumier at odiso.com>
Cc: "pve-devel" <pve-devel at pve.proxmox.com>
Envoyé: Vendredi 23 Octobre 2015 17:40:02
Objet: Re: [pve-devel] disable-efi-enable-pxe-roms.patch break livemigration from old qemu guest without pxe

> >>my tests was with qemu 2.4 (pxe) -> qemu 2.4 (efi) 
> 
> ok, thanks. 
> 
> I'll try to test with different qemu version and machineconfig next week. 

Also see: 

https://git.proxmox.com/?p=pve-qemu-kvm.git;a=commitdiff;h=b6e85098c8b88f609d2bca5bf19fa8e85b176c15 

so we can now query the exact package version with 

my $res = PVE::QemuServer::vm_mon_cmd($vmid, 'query-version'); 
print $res->{'package'}; 

older version simply return '' string. 


More information about the pve-devel mailing list